Subject: Difference between pull --rebase and fetch+rebase

From: martinvz <[email-masked]>
Date: Thu, 7 Jan 2010 04:23:22 -0800 (PST)

I have a branch configured to track a remote branch by rebasing. I excepted
that "git pull" would therefore be equivalent to fetching from the remote
repository followed by rebasing the remote branch, but it isn't. When doing
"git rebase <remote>/<branch>", it applies only the commits after the merge
base. When doing "git pull", it tries to apply two more commits (the two
commits preceding the merge base). Why is this?

I get the same result even if I do "git pull --rebase <remote> <branch>", it
doesn't seem to have anything to do with incorrect configuration of the
branch.
-- 
View this message in context: http://old.nabble.com/Difference-between-pull---rebase-and-fetch%2Brebase-tp27059158p27059158.html
Sent from the git mailing list archive at Nabble.com.